/*--------------------------------------------------------------------
 * FICHERO:  SpPedro.h
 * OBJETIVO: Definiciones generales del Salvapantallas de Pedro
 * AUTOR:    Pedro Reina
 * FECHA:    D.17.5.1998
 *------------------------------------------------------------------*/

/*--------------------------------------------------------------------
 * Ficheros de cabecera
 *------------------------------------------------------------------*/

#include <Windows.h>
#include "SpPedro.rh"

/*--------------------------------------------------------------------
 * Desactivacin de algunos avisos
 *------------------------------------------------------------------*/

#pragma warn -pia

/*--------------------------------------------------------------------
 * Definicin de macros constantes
 *------------------------------------------------------------------*/

// Ninguno

/*--------------------------------------------------------------------
 * Definicin de macros funciones
 *------------------------------------------------------------------*/

/*--------------------------------------------------------------------
 * MACRO:    AnchoPantalla()
 * OBJETIVO: Calcular el ancho total de la pantalla
 *------------------------------------------------------------------*/
#define AnchoPantalla()  GetSystemMetrics(SM_CXSCREEN)

/*--------------------------------------------------------------------
 * MACRO:    AltoPantalla()
 * OBJETIVO: Calcular el alto total de la pantalla
 *------------------------------------------------------------------*/
#define AltoPantalla()  GetSystemMetrics(SM_CYSCREEN)

/*--------------------------------------------------------------------
 * Declaracin de funciones
 *------------------------------------------------------------------*/

LONG FAR PASCAL ProcedimientoSalvaPantallas (HWND,UINT,WPARAM,LPARAM);
BOOL FAR PASCAL ProcedimientoAyuda (HWND,UINT,WPARAM,LPARAM);
void MuestraAyuda(HWND, char *, char *);
BOOL CentraVentana (HWND);
int  SalvaPantallas (int);

/*--------------------------------------------------------------------
 * Definicin de variables globales
 *------------------------------------------------------------------*/

extern HANDLE  Aplic;
extern FARPROC PunteroAyuda;
